Subject: bug#18966: 25.0.50; unhelpful error message from byte compiler

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 19:54:34 +0200

Tom Tromey <[email-masked]> writes:

> Byte compile this code:
>
> (push zzz)
>
> I get:
>
> q.el:1:1:Error: Wrong number of arguments: (2 . 2), 1
>
> This should at least mention "push".

This problem is still present in Emacs 28.

Like in bug#35186, I'm not able to actually chase down where this error
message comes from.  I've tried to look at all the relevant
wrong-number-of-arguments in lisp/emacs-lisp, but it doesn't look like
any of them are responsible.

Anybody knows where this comes from?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no